## int v24Getc

## ( v24_port_t* port )

> read a single character.

## Documentation

> The function tries to read a single character from the opened device. To do this, the function v24Read is used. If we have got some data, the character is returned as integer value. The caller have to cast it to the data type he need.

> In a case of an error, the functions returns `-1`. The caller has to use v24QueryErrno to get the exact error code. Contrary to v24Read, a timeout is reported as error!

> Possible error code are `V24_OK`, `V24_E_NULL_POINTER`, `V24_E_ILLHANDLE`, `V24_E_TIMEOUT` or `V24_READ`.

Parameters:
  port - pointer to handle of the opened port.
Returns:
  (int) the character read or `-1`.
See Also:
  v24QueryErrno, v24Read.

Alphabetic index

This page was generated with the help of DOC++.